import request from '@/utils/request'


// 查询会话列表
export function listQwMsgAuditConversation(query) {
  return request({
    url: '/qw/qwMsgAuditMessage/conversationList',
    method: 'get',
    params: query
  })
}

// 会话下消息分页
export function listQwMsgAuditMessage(query) {
  return request({
    url: '/qw/qwMsgAuditMessage/list',
    method: 'get',
    params: query
  })
}

// 查询企微会话存档结构化消息详细
export function getQwMsgAuditMessage(id) {
  return request({
    url: '/qw/qwMsgAuditMessage/' + id,
    method: 'get'
  })
}

// 新增企微会话存档结构化消息
export function addQwMsgAuditMessage(data) {
  return request({
    url: '/qw/qwMsgAuditMessage',
    method: 'post',
    data: data
  })
}

// 修改企微会话存档结构化消息
export function updateQwMsgAuditMessage(data) {
  return request({
    url: '/qw/qwMsgAuditMessage',
    method: 'put',
    data: data
  })
}

// 删除企微会话存档结构化消息
export function delQwMsgAuditMessage(id) {
  return request({
    url: '/qw/qwMsgAuditMessage/' + id,
    method: 'delete'
  })
}

// 导出企微会话存档结构化消息
export function exportQwMsgAuditMessage(query) {
  return request({
    url: '/qw/qwMsgAuditMessage/export',
    method: 'get',
    params: query
  })
}
